Skip to content

Get price buckets for a currency pair

GET
/v1/public/{currencyPair}/buckets

This API returns historical market data aggregated into time-based "buckets" or candles for a specified currency pair and bucket period. Each bucket provides the open, high, low, close, and volume for the defined time interval.

Note: If no trading activity occurred during a specific bucket period, the open, high, low, and close prices will be identical (likely reflecting the last traded price), and volume and quoteVolume will be zero.

A maximum of 300 buckets can be returned per call. This means you cannot specify a startTime and endTime that will contain more buckets than our supported max.

Valid inputs for the periodSeconds parameter are 60 (default) - 1 Minute, 300 - 5 Minutes, 900 - 15 Minutes, 1800 - 30 Minutes, 3600 - 1 Hour, 21600 - 6 Hours and 86400 - 1 Day (max).

Parameters

Path Parameters

currencyPair*

Specify the currency pair for which you want to query the price buckets. Examples: BTCUSDC, ETHUSDC, XRPUSDC, ADABTC, ADAETH etc.

Type
string
Required

Query Parameters

periodSeconds

The bucket period in seconds. Valid values: 60 (default), 300, 900, 1800, 3600, 21600, 86400

Type
integer
Format
"int32"
startTime

Start time in epoch seconds (e.g., 1753102597). Default: endTime minus max allowed buckets

Type
string
endTime

End time in epoch seconds (e.g., 1753188997). Default: current time

Type
string
includeEmpty

Include empty buckets in the response

Type
boolean
limit

Maximum number of buckets to return

Type
integer
Format
"int32"
skip

Number of buckets to skip

Type
integer
Format
"int32"

Responses

Price buckets retrieved successfully

application/json
JSON
[
{
"currencyPairSymbol": "BTCUSDC",
"bucketPeriodInSeconds": 60,
"startTime": "2025-07-22T12:56:00Z",
"open": "119350",
"high": "119350",
"low": "119350",
"close": "119350",
"volume": "0",
"quoteVolume": "0"
},
{
"currencyPairSymbol": "BTCUSDC",
"bucketPeriodInSeconds": 60,
"startTime": "2025-07-22T12:55:00Z",
"open": "119350",
"high": "119350",
"low": "119350",
"close": "119350",
"volume": "0",
"quoteVolume": "0"
}
]

Playground

Variables
Key
Value

Samples